// Extrem wichtig: In CDG-Kommentare sollen keine
// Makros expandiert werden. Anderenfalls knnte ein fehlendes
// ' in einem Kommentar einen Syntaxfehler erzeugen.
m4_changecom(`//',`
')

// Wenn wir dies nicht tten, knnten wir den Lexikoneintrag ` nicht
// deklarieren. 
m4_changequote(,)

m4_define(gradient, [ $1 / [ $1 + abs( distance(X@id, X^id) ) ] ])
m4_define(isa, subsumes(Features, $2, $1cat))

m4_define(edge, subsumes(Label, $2, $1.label))

m4_define(within,
(( min($1@to,$1^to)>=min($2@to,$2^to) & max($1@to,$1^to)<=max($2@to,$2^to) ))
)

// contains(A,B) gilt gdw. B innerhalb A liegt oder 
// beide vollstndig berschneidungsfrei sind.
m4_define(contains, 
(( within($1,$2) | (~crosses($2,$1@) & ~crosses($2,$1^))))
)

// inside(A,B) gilt gdw. Wort A zwischen den Enden von B liegt.
//m4_define(inside,
//(($1 from > $2@from & $1 from < $2^from) | (($1 from < $2@from & $1 from > $2^from))))

m4_define(inside,
(($1 from >= $2@from & $1 from <= $2^from) | (($1 from <= $2@from & $1 from >= $2^from))))

// crosses(A,B) gilt gdw. Wort B zwischen den Endpunkten von A liegt.
m4_define(crosses, inside($2,$1))

// enters(A,B) gilt gdw. A@ auerhalb und A^ innerhalb von B liegt.
m4_define(enters, (inside($1^,$2) & ~ inside($1@,$2)))

// leaves(A,B) gilt gdw. A^ auerhalb und A@ innerhalb von B liegt.
m4_define(leaves, (inside($1@,$2) & ~ inside($1^,$2)))


// Ist A die Beziehung zwischen deverbalem Nomen und erweitertem Infinitiv?
m4_define(Deverbalkante,
 (( $1\ & $1.label = OBJC & exists($1^nimmt_Objektsatz)))
)

// Ist X ein Vergleichswort, das im Nebensatz Objekte vertreten darf?
m4_define(Objektvertreter,
 ((( $1 cat = KOUS & $1 word = als) | ($1 word = wie)))
)

m4_define(Partizipialadjektiv,
 ((  exists($1 partizipial1) | exists($1 partizipial2) ))
)

m4_define(nominalization,
 ((  phrasequotes($1 id) > 0  ))
)



// Die berprfung von Kasuskongruenz is besonders schwierig,
// weil sowohl voll spezifizierte als auch teilweise spezifizierte 
// Kasus im Lexikon vorkommen. Wo sicher ist, da einer der beiden
// Kasus voll spezifiziert ist, gengt ein subsumes(); wo aber
// zwei mglicherweise unterspezifizierte Kasus aufeinandertreffen
// knnen, etwa in Appositionen, mu man auerdem prfen, ob
// sie beide denselben atomaren Kasus subsumieren, etwa nom_dat_acc
// und gen_dat_acc.
m4_define(check_case,
 (( compatible(Features, $1, $2) |
    subsumes(Features, dat, $1) & subsumes(Features, dat, $2) |
    subsumes(Features, acc, $1) & subsumes(Features, acc, $2) |
    subsumes(Features, nom, $1) & subsumes(Features, nom, $2) |
    subsumes(Features, gen, $1) & subsumes(Features, gen, $2))))

m4_define(check_gender,
 (( compatible(Features, $1, $2) |
    subsumes(Features, masc, $1) & subsumes(Features, masc, $2) |
    subsumes(Features, fem, $1) & subsumes(Features, fem, $2) |
    subsumes(Features, neut, $1) & subsumes(Features, neut, $2))))

m4_define(case_specified,
 (($1 case=nom | $1case = gen | $1 case = dat | $1 case = acc)))

m4_define(initial,
 (( $1 cat = PWS | $1 cat = PRELS | $1 cat = PWAT | $1 cat = PWAV | $1 case = PRELAT |
    has($1 id, find_relative))))