//// Dieser Verband enthlt alle Werte, die im Feature X@case stehen
//// knnen. 
Kasus -> 
  top -> grammatical prepositional,

// Alle deklinierbaren Formen haben das Feature `case' mit einem dieser
// Werte. 
  grammatical -> nom gen dat acc,

// Prpositionen haben sich selbst als Kasus, da sie die PPs
// dominieren. Damit kann ein Wort, das PPs als Komplement nimmt,
// leicht angeben, welche Art von PP genau es haben will.
  prepositional -> um bei an in nach auf ab fr zu von bis statt als
		   spter auer hindurch ber halber hin bezglich mit
;



//// Dieser Verband enthlt die Werte, die im Feature X@gender
//// stehen knnen.
Gender -> 

// Alle Nomen, Pronomen, Adjektive und Determiner haben eines dieser
// Features: 
  top -> masc fem neut
;



//// Dieser Verband enthlt alle Werte, die im Feature X@cat stehen
//// knnen. Er orientiert sich stark am Stuttgarter Tagset fr das
//// Deutsche. Terminale sind durch GROSSSCHREIBUNG kenntlich.
Kategorien -> 

// Inhaltsworte sind im weitesten Sinne die bedeutungstragenden Worte,
// Partikeln alles andere.
  top -> Inhaltswort Partikel,

// Die vier grundlegenden Kategorien sind diese vier;
// sie entsprechen den Kategorien [+N -V], [-N +V],
// [+N +V] und [-N -V].
  Inhaltswort -> Nominal Verb Adjektiv Adverbial,

// Die Sorte `Nominal' subsumiert alle Hauptworte und deren
// Vertreter. Z.B. geben transitive Verben als cat des Komplementes
// gewhnlich `Nominal' an, nicht `NN'.
  Nominal -> Zahl Nomen Pronomen,

// Wir beginnen mit dem einfachsten nominalen Typ: an Zahlen haben nur 
// Kardinalzahlen.
  Zahl -> CARD,

// Tatschliche Hauptworte sind nur Nomen. (Eigennamen haben wir nicht.)
  Nomen -> NN,

// Pronomen haben die meisten Arten.
  Pronomen -> Demonstrativpronomen 
              Personalpronomen 
              Relativpronomen 
	      Possessivpronomen
	      Interrogativpronomen
              Indefinitpronomen,

// Demonstrativa sind entweder substituierend odder attributiv:
// PROS: _Das_ wei ich nicht
// PROSD: _Diesen_ Termin finde ich nicht so gut
  Demonstrativpronomen -> PROS PROSD,

// PPER: _Ich_ kann nicht kommen
// PPERF: Man sieht _sich_
  Personalpronomen -> PPER PPERRF,

// Der Termin, _den_ wir besprochen haben
  Relativpronomen -> PREL,

// PPOSAT: Ich werde es _meiner_ Sekretrin sagen
// PPOSD: Das ist _meines_.
  Possessivpronomen -> PPOSAT PPOSD,

// PWAV: _Wann_ ist das?
// PWAT: _Welcher_ Tag ist das?
  Interrogativpronomen -> PWAV PWAT,

// Es ist _nichts_ mehr frei
  Indefinitpronomen -> PROSN,

// Verben knnen verschieden klassifiziert werden:
// sowohl nach der Beugung
  Verb -> infinit infinit_zu finit Partizip,
// als auch nach ihrer Klasse.
  Verb -> Vollverb Hilfsverb,
  Hilfsverb -> Modalverb Auxiliarverb,

// Die tatschlichen Verb-Wortarten sind immer zweifach spezifiziert:
  INF    <- Vollverb infinit,
  INFZU  <- Vollverb infinit_zu,
  FIN    <- Vollverb finit,
  PPP    <- Vollverb Partizip,

  VMODINF   <- Modalverb infinit,
  VMODINFZU <- Modalverb infinit_zu,
  VMODFIN   <- Modalverb finit,
  VMODPPP   <- Modalverb Partizip,

  VAUXINF   <- Auxiliarverb infinit,
  VAUXINFZU <- Auxiliarverb infinit_zu,
  VAUXFIN   <- Auxiliarverb finit,
  VAUXPPP   <- Auxiliarverb Partizip,

// Adjektive sind entweder attributiv oder prdikativ:
// ADJA: die _gute_ Wahl
// ADJP: die Wahl ist _gut_
  Adjektiv -> ADJA ADJP,

// Am Verb (und anderswo) stehen entweder echte Adverben (`hier')
// oder PPs (`an diesem Ort').
  Adverbial -> Adverb Adposition,

// ADV: ich komme _heute_
// ADJP: das Auto fhrt _laut_
  Adverb -> ADV ADJP,

// Adpositionen sind Prpositionen und Postpositionen
  Adposition -> APPR APPO, 

// Konjunktionen regieren andere Einheiten, Zustze werden regiert.
  Partikel -> Konjunktion Zusatz,

// Nebenordnende Konjunktionen verbinden zwei Hauptstze,
// unterordnende Konjunktionen  Hauptsatz und Nebensatz.
  Konjunktion -> unterordnend nebenordnend,
    unterordnend -> KOUS,
    nebenordnend -> KON,

// PTKVZS: ich lade Sie _ein_
// PTKSUP: das ist _am_ besten
// PTKZU: Sie hier _zu_ sehen
// TRUNC: so _da_
  Zusatz -> Artikel PTKVZS PTKSUP TRUNC PTKZU,

// Artikel sind bestimmt oder unbestimmt.
// Obwohl diese Unterscheidung in der Wortklasse erkenntlich ist,
// beziehen sich Constraints stattdessen immer auf das Feature `definite'.
  Artikel -> ARTINDEF ARTDEF,

// Die Klasse `Artikel' ist traditionell blich, aber fr die Grammatik
// ist die Klasse der Determiner relevant. Das sind Zahlen, Artikel und
// verschiedene Arten von Pronomen:
  Determiner -> CARD Artikel PWAT PROAT PPOSAT PROSD,


/// Es gibt Situationen, in denen recht verschiedene Kategorien 
/// erlaubt sind. (Die folgenden Kategorien sind also abstrakt und
/// stehen lediglich in Argumenten.)

// ich brauche _zwei Stunden_ -- ich brauche _bis neun Uhr_.
// ich habe _den ganzen Tag_ Zeit -- ich habe _um neun_ Zeit.
// ber die genaue Entstehung solcher absoluter Zeitausdrcke herrscht
// Unklarheit. Ich persnlich vermute, da sie durch die Lschung von
// Postpositionen entstehen (`den ganzen Tag lang'). Wie dem auch sei,
// da keine Adposition da ist, knnen wir sie nicht als Adverbial
// analysieren. Also mssen wir diese unelegante Kategorie einfhren.
  Nominal_oder_Adverbial -> Nominal Adverbial,

// Dies ist die Klasse der Kategorien, die als Appositionen dienen
// knnen:
// Karl, _der Kfer_ -- der fnfte April, _der_ ist gut
  Appositional -> Nomen Demonstrativpronomen,

// Dies ist die Klasse der Kategorien, die nach `sein', `aussehen',
// `werden' etc. stehen knnen:
// das ist _ein_ Montag -- das ist _dieser_ -- das ist _um fnf_ --
// das ist _gut_ 
  PRED -> Nominal ADJP,

// Dies ist die Klasse der Wrter, 
// von denen Relativpronomen abhngen knnen:
// Bist du _der_, der da kommen soll?
// Ich bin der _Mann_, den ihr sucht.
  Relativantezedens -> PROS NN,

// Verbbestandteile sind alle die Wrter, die im Verbgefge gegen die
// Projektivitt verstoen knnen.
  Verbbestandteil -> Verb PTKVZS,


/// Schlielich gibt es noch verschiedene Pronomen, die ganz verschiedene 
/// Eigenschaften zugleich haben.  (Die folgenden Kategorien haben also 
/// tatschlich Vertreter.)


// Relativadverben sind sehr seltsame Geschpfe, wie etwa das `wo' in
// `Ich wei, _wo_ es ist.'
//
// Als Konjunktion leitet es einen Nebensatz ein.
// Als Adverb kann es Komplement zum untergeordneten Verb sein.
// Als Relativpronomen darf es Projektivitt verletzen.
// Als PRED kann ein Relativadverb prdikativ stehen (`Er sagt, _wie_ es ist').
  Relativadverb <- KOUS Relativpronomen PRED Adverbial,

// lassen wir es _dabei_:
// Das Pronomen ist gleichzeitig demonstrativ und prpositional.
  PRAP <- Demonstrativpronomen APPR,

// _jeder_ Mann -- ein _jeder_ Mann
// Dieses Pronomen kann mit Determiner stehen oder selbst Determiner sein.
  PROAT <- Demonstrativpronomen Adjektiv,

// _wie_ wre das?
// _wie_ kommst du zurecht?
// Dieses Pronomen kann sowohl prdikativ als auch am Verb stehen.
  PWAV <- PRED Adverb,

// _welcher_ Tag ist das?
// Dies Pronomen dient zugleich als Determiner und Bestimmt die Wortstellung.
  PWAT <- Determiner Interrogativpronomen,

// _den_ wir abgesprochen haben:
// Als Pronomen gehrt `den' zum Nebensatz,
// als Konjunktion gehrt es zwischen die Stze.
  PREL <- Relativpronomen unterordnend

;

