/*
 * File: frobbing.h
 * Author: Kilian Foth
 * Purpose: header file for frobbing
 * Birth: 6/5/97
 * 
 * $Id: frobbing.h,v 1.37 2003/06/23 15:56:06 foth Exp $
 */

#ifndef FROBBING_H
#define FROBBING_H

/* ---------------------------------------------------------------------- */
#include <blah.h>
#include "input.h"
#include "lexemgraph.h"
#include "constraintnet.h"
#include "levelvalue.h"
#include "eval.h"
#include "transform.h"


typedef void FrobFunction();

/* method of transformation */
typedef struct {
  String id;                          /* identifying name */
  FrobFunction *repair;               /* transformation function */
  String doc;                         /* short help */
} FrobMethod;

/* -- VARIABLES --------------------------------------------------------- */

/* holds all known frob strategies */
extern FrobMethod frobMethods[];

/* ---------------------------------------------------------------------- */

/* -- FUNCTIONS --------------------------------------------------------- */

/* entry points for the module frobbing */
extern Boolean frobbing(int no, char **args);
extern void frobbingFinalize(void);

extern void frobSetAgendaSize(int x);
extern void frobSetBeamWidth(int x);
extern void frobSetPressure(Number x);
extern void frobInitialize();

/* ---------------------------------------------------------------------- */
#endif /* don't insert anything after this #endif */
