/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * $Id: scorematrix.h,v 1.6 2004/02/25 14:28:03 micha Exp $
 */

/**
  * @addtogroup Scorematrix
  * @{
  */

#ifndef SCOREMATRIX_H
#define SCOREMATRIX_H

/* ---------------------------------------------------------------------- */

/* ---------------------------------------------------------------------- */
typedef Pointer ScoreMatrix;

/* ---------------------------------------------------------------------- */
/* creates a new array with dimensions with r rows and c columns */
extern ScoreMatrix smNew( int r, int c );

/* deletes scorematrix */
extern void smDelete( ScoreMatrix sm );

/* sets an scorematrix score element to a new value, returns old value */
extern double smSetScore( ScoreMatrix sm, double d, int r, int c );

/* sets an scorematrix flag element to a new value, returns old value */
extern Boolean smSetFlag( ScoreMatrix sm, Boolean f, int r, int c );

/* sets all scorematrix flag element to a new value */
extern void smSetAllFlags( ScoreMatrix sm, Boolean f );

/* retrieves an score element from an scorematrix */
extern double smGetScore( ScoreMatrix sm, int r, int c );

/* retrieves an flag element from an scorematrix */
extern Boolean smGetFlag( ScoreMatrix sm, int r, int c );

/* ---------------------------------------------------------------------- */

#endif /* don't insert anything after this #endif */
/** @} */
