/* Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
 *  
 * This file is free software; as a special exception the author gives
 * unlimited permission to copy and/or distribute it, with or without 
 * modifications, as long as this notice is preserved.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Author: Jochen Hagenstroem (see also AUTHORS and THANKS for more)
 * ChangedBy: Timo Baumann (1baumann@...)
 * Purpose: header file for tagger related structures
 * Birth: 2001/02/07
 */

#ifndef TAGGER_H
#define TAGGER_H

#include "lexemgraph.h"

/* -- OLD FUNCTIONS -------------------------------------------------------- */

/* compiled index of the feature taggerCategoryPath */
extern int taggerCategoryIndex;

/* Is the tagger up? */
extern Boolean taggerUp(void);

/* things to do before running the tagger */
extern void taggerInitialize();

/* switch the tagger on/off */
extern int taggerStartStop();

/* manages i/o of the tagger specified in taggerCommand */
extern int taggerTag(LexemGraph);

/* retrieves the index associated with taggerCategoryPath */
extern Boolean taggerLookupCategoryIndex();

/* things to do before exit */
extern void taggerFinalize();

/* ---------------------------------------------------------------------- */
#endif /* don't insert anything after this #endif */

