/*

    The BLAH library, a container library
    Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    
    Contact: blah@nats.informatik.uni-hamburg.de

    $Id: memory.c,v 1.3 2004/03/23 14:21:58 micha Exp $
    
*/
/*-----------------------------------------------------------------------*/

/* ----------------------------------------------------------------------
 * @defgroup Memory Memory
 * Some basic Operations with the memory are done in this module.
 * @{
 */
 
#include <stdio.h>
#include "blah.h"

/* ----------------------------------------------------------------------
 * used for checking the memory allocation for pointers.
 *
 * a function that checks whether pointer is NULL, used by
 * a version of memMalloc (c. f. memMalloc.h)
 *
 * @param ptr the ptr whose value has to be checked for NULL.
 * @param file the file that contains the pointer.
 * @param line the line in which the pointer exists.
 * @returns error message if pointer equals null else returns the pointer.
 */
void *memMallocCheck(void *ptr, char *file, int line)
{
   if (ptr == NULL)
   {
      fprintf(stderr, "ERROR: %s:%d: no memory left\n", file, line);
      abort();
   }
   return (ptr);
}

/* ----------------------------------------------------------------------
 * sometimes memFree must be a function
 *
 * @param pointer the pointer that  determines the memory free function.
 */
void memFreeFunction( void *pointer )
{
  memFree( pointer );
}
