#!/bin/sh
#\
exec tclsh "$0" "$@" 

lappend auto_path @bindingsdir@
load @bindingsdir@/tclcdg[info sharedlibextension]

set debug 0

if {$debug} {
  puts -nonewline "DEBUG: "
}
proc putsDebug {msg} {
  global debug
  if {!$debug} {
    return
  }
  regsub -all "\n" $msg "\nDEBUG: " msg
  puts -nonewline $msg
}

proc testCmdEval {command} {
  putsDebug "calling $command\n"
  set result [commandEval $command]
  if {!$result} {
    error "commandEval $command failed"
  }
  return $result
}

setHookCmd printf putsDebug

source ../xcdg/compat.tcl

