#!/usr/bin/env perl
# /home/foth/cdg/utils/make-extra-lexicon.pl
#
# Write an extra lexicon for lookup for TNT; e.g. the standard
# model of German shipped with it does not even recognize `seid'.
use warnings;
use strict;
BEGIN {
 if(!defined $ENV{CDGHOME}) {
   die "Please set CDGHOME.\n";
 }
 $ENV{CDGPERL} = "$ENV{CDGHOME}/bindings";
}
use lib "$ENV{CDGPERL}";
use lib "$ENV{CDGPERL}/.libs";
use CDG::Utils qw(:functions);

chdir "$ENV{CDGHOME}/grammar/deutsch"
  or die "Can't find deutsch grammar. Please set CDGHOME.\n";


sub find_words {
  my $file = shift;

  open(LEX, $file) or die "Can't read `$file': $!\n";
  while(<LEX>) {
    if(my ($word,$cat) = /^(.+) *:= *\[.*\bcat *: *(\$[,\.\(]|[A-Z]+)/) {
      $word =~ s/^\s+|\s+$//;
      $cat =~ s/^\s+|\s+$//;
      $word =~ s/ /\001/g;
      $word = parse_string $word;
      $cat = parse_string $cat;
      print "$word\t1\t$cat\t1\n";
    }
  }
  close(LEX);
}

find_words 'Lexikon.cdg';
find_words 'deutsch-lexikon.cdg';
