# ----------------------------------------------------------------------------
# Copyright (C) 1997-2004 The CDG Team <cdg@nats.informatik.uni-hamburg.de>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# ----------------------------------------------------------------------------


## ----------------------------------------------------------------------------
## \file compat.tcl
## Compatibility Stuff. This file is serves as a workarround in differences
## of old and new swig interfaces, that is differences of the interfaces generated
## with swig version 1.1.x and 1.3.x. This file might get obsolete when we
## will discontinue to support the old swig in the near future.
##
## Here's the list of general differences that I came accross so far:
## - global variables: old swig generated an access function like
##   \c hkVerbosity_get and \c hkVerbosity_set that access the global variable. 
##   In new swigish 
##   we get a variable \c $hkVerbosity and read and write access is handled
##   by internal getter and setter functions. When trying to write to a immutable
##   variable swig intercepts that with a proper error message. So for
##   backwards compatibility we reintroduce the explicit access function to get
##   the old tcl sources running
##
## \author Michael Daum
##
## $Id: compat.tcl,v 1.4 2004/02/25 14:40:41 micha Exp $
## ----------------------------------------------------------------------------

if {[info commands inputCurrentGrammar_get] == ""} { 

# new swig

uplevel #0 {


proc cnEdgesFlag_get {} {
  return $::cnEdgesFlag
}

proc cnShowDeletedFlag_get {} {
  return $::cnShowDeletedFlag
}

proc cnSortNodesMethod_get {} {
  return $::cnSortNodesMethod
}

proc cnUnaryPruningFraction_get {} {
  return $::cnUnaryPruningFraction
}

proc evalSloppySubsumesWarnings_get {} {
  return $::evalSloppySubsumesWarnings
}

proc hkHooks_get {} {
  return $::hkHooks
}

proc icParamsStr_get {} {
  return $::icParamsStr
}

proc inputAnnoCats_get {} {
  return $::inputAnnoCats
}

proc inputCurrentGrammar_get {} {
  return $::inputCurrentGrammar
}

proc inputDefaultSection_get {} {
  return $::inputDefaultSection
}

proc inputFeatureHierarchy_get {} {
  return $::inputFeatureHierarchy
}

proc inputLocale_get {} {
  return $::inputLocale
}

proc inputMostRecentlyCreatedLattice_get {} {
  return $::inputMostRecentlyCreatedLattice
}

proc inputPrepSuffix_get {} {
  return $::inputPrepSuffix
}

proc inputPreprocessor_get {} {
  return $::inputPreprocessor
}

proc inputSections_get {} {
  return $::inputSections
}

proc nsNormalization_get {} {
  return $::nsNormalization
}

proc nsSearchModifiesNetFlag_get {} {
  return $::nsSearchModifiesNetFlag
}

proc parseMostRecentlyCreatedParse_get {} {
  return $::parseMostRecentlyCreatedParse
}

proc scUseCache_get {} {
  return $::scUseCache
}

proc statUseStatisticsFlag_get {} {
  return $::statUseStatisticsFlag
}

proc vmAcoustics_get {} {
  return $::vmAcoustics
}

proc hkVerbosity_get {} {
  return $::hkVerbosity
}
proc hkVerbosity_set {value} {
  set ::hkVerbosity $value
}

proc cdgCtrlCTrapped_get {} {
  return $::cdgCtrlCTrapped
}
proc cdgCtrlCTrapped_set {value} {
  set ::cdgCtrlCTrapped $value
}

proc cdgCtrlCAllowed_get {} {
  return $::cdgCtrlCAllowed
}
proc cdgCtrlCAllowed_set {value} {
  set ::cdgCtrlCAllowed $value
}

proc cdgXCDG_get {} {
  return $::cdgXCDG
}
proc cdgXCDG_set {value} {
  set ::cdgXCDG $value
}

proc cdgTimeLimit_get {} {
  return $::cdgTimeLimit
}
proc cdgTimeLimit_set {value} {
  set ::cdgTimeLimit $value
}

proc cdgUser_get {} {
  return $::cdgUser
}
proc cdgUser_set {value} {
  set ::cdgUser $value
}

proc cdgNets_get {} {
  return $::cdgNets
}
proc cdgNets_set {value} {
  set ::cdgNets $value
}

proc cnMostRecentlyCreatedNet_get {} {
  return $::cnMostRecentlyCreatedNet
}

proc cnMostRecentlyCreatedNet_set {value} {
  set ::cnMostRecentlyCreatedNet $value
}

  }; # end of uplevel
} else {

# old swigish

proc pointer2string {pointer} {
  return [ptrvalue [ptrcast $pointer String]]
}

}

