#!/bin/sh
# \
exec tclsh "$0" "$@" 

package require Itcl
namespace import itcl::*

auto_mkindex_parser::command class {name body} {
    variable index
    variable scriptFile
    append index "set [list auto_index([fullname $name])]"
    append index " \[list source \[file join \$dir [list $scriptFile]\]\]\n"

    variable parser
    variable contextStack
    set contextStack [linsert $contextStack 0 $name]
    $parser eval $body
    set contextStack [lrange $contextStack 1 end]
}

auto_mkindex_parser::command body {name arglist body} {
    variable index
    variable scriptFile
    append index "set [list auto_index([fullname $name])]"
    append index " \[list source \[file join \$dir [list $scriptFile]\]\]\n"
}

auto_mkindex_parser::command configbody {name body} {
    variable index
    variable scriptFile
    append index "set [list auto_index([fullname $name])]"
    append index " \[list source \[file join \$dir [list $scriptFile]\]\]\n"
}

auto_mkindex_parser::command ensemble {name {body ""}} {
    variable index
    variable scriptFile
    append index "set [list auto_index([fullname $name])]"
    append index " \[list source \[file join \$dir [list $scriptFile]\]\]\n"
}

eval auto_mkindex . [join [exec sh -c "ls *.tcl | grep -v xcdg.tcl"]]


